<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: camera_config_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structcamera__config__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">camera_config_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9935ac510209beb325061fd0ed30823d"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a9935ac510209beb325061fd0ed30823d">pin_reset</a></td></tr>
<tr class="separator:a9935ac510209beb325061fd0ed30823d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adae554b70623090ed02ab03d5385d884"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#adae554b70623090ed02ab03d5385d884">pin_xclk</a></td></tr>
<tr class="separator:adae554b70623090ed02ab03d5385d884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7e6feea488721346d23bf6ebb87449"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a1d7e6feea488721346d23bf6ebb87449">pin_sscb_sda</a></td></tr>
<tr class="separator:a1d7e6feea488721346d23bf6ebb87449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3e62089d1ba10dc5489dbc82f4047a"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a4c3e62089d1ba10dc5489dbc82f4047a">pin_sscb_scl</a></td></tr>
<tr class="separator:a4c3e62089d1ba10dc5489dbc82f4047a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b265296822d4612b67b6a1ffad9e756"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a0b265296822d4612b67b6a1ffad9e756">pin_d7</a></td></tr>
<tr class="separator:a0b265296822d4612b67b6a1ffad9e756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a222371493270fb4b4bcf68bc417100"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a5a222371493270fb4b4bcf68bc417100">pin_d6</a></td></tr>
<tr class="separator:a5a222371493270fb4b4bcf68bc417100"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3229380194c2b360713d7240886ae9ed"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a3229380194c2b360713d7240886ae9ed">pin_d5</a></td></tr>
<tr class="separator:a3229380194c2b360713d7240886ae9ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540b14d31f869b98b7e01ee8743e2ffd"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a540b14d31f869b98b7e01ee8743e2ffd">pin_d4</a></td></tr>
<tr class="separator:a540b14d31f869b98b7e01ee8743e2ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bda847f01d013e1c9d213b967ba506f"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a4bda847f01d013e1c9d213b967ba506f">pin_d3</a></td></tr>
<tr class="separator:a4bda847f01d013e1c9d213b967ba506f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43d5891aa4f0356a4b311cd5ecb1cfc6"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a43d5891aa4f0356a4b311cd5ecb1cfc6">pin_d2</a></td></tr>
<tr class="separator:a43d5891aa4f0356a4b311cd5ecb1cfc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bde2c6474cab22a14d1b6ef3f103d9c"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a3bde2c6474cab22a14d1b6ef3f103d9c">pin_d1</a></td></tr>
<tr class="separator:a3bde2c6474cab22a14d1b6ef3f103d9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7fcc08f51ca08c849d3d7cfc54cbc12"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#aa7fcc08f51ca08c849d3d7cfc54cbc12">pin_d0</a></td></tr>
<tr class="separator:aa7fcc08f51ca08c849d3d7cfc54cbc12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c3b0d95798353d4917d93a68e56a2c2"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a3c3b0d95798353d4917d93a68e56a2c2">pin_vsync</a></td></tr>
<tr class="separator:a3c3b0d95798353d4917d93a68e56a2c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9dd487279954adb8421992423e46cc7"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#ab9dd487279954adb8421992423e46cc7">pin_href</a></td></tr>
<tr class="separator:ab9dd487279954adb8421992423e46cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f2ef831ff4645f82f69ba16542764a"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a64f2ef831ff4645f82f69ba16542764a">pin_pclk</a></td></tr>
<tr class="separator:a64f2ef831ff4645f82f69ba16542764a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af198ac8cc343a51b0aa24629f71796fc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#af198ac8cc343a51b0aa24629f71796fc">xclk_freq_hz</a></td></tr>
<tr class="separator:af198ac8cc343a51b0aa24629f71796fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa321aa2f9ae05a8684101e8aee35045"><td class="memItemLeft" align="right" valign="top">ledc_timer_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#aaa321aa2f9ae05a8684101e8aee35045">ledc_timer</a></td></tr>
<tr class="separator:aaa321aa2f9ae05a8684101e8aee35045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a392588ba015497f3491ddf2bbbcd85"><td class="memItemLeft" align="right" valign="top">ledc_channel_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcamera__config__t.html#a4a392588ba015497f3491ddf2bbbcd85">ledc_channel</a></td></tr>
<tr class="separator:a4a392588ba015497f3491ddf2bbbcd85"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4a392588ba015497f3491ddf2bbbcd85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a392588ba015497f3491ddf2bbbcd85">&#9670;&nbsp;</a></span>ledc_channel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ledc_channel_t camera_config_t::ledc_channel</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>LEDC channel to be used for generating XCLK </p>

</div>
</div>
<a id="aaa321aa2f9ae05a8684101e8aee35045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa321aa2f9ae05a8684101e8aee35045">&#9670;&nbsp;</a></span>ledc_timer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ledc_timer_t camera_config_t::ledc_timer</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>LEDC timer to be used for generating XCLK </p>

</div>
</div>
<a id="aa7fcc08f51ca08c849d3d7cfc54cbc12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7fcc08f51ca08c849d3d7cfc54cbc12">&#9670;&nbsp;</a></span>pin_d0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D0 line - IN </p>

</div>
</div>
<a id="a3bde2c6474cab22a14d1b6ef3f103d9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bde2c6474cab22a14d1b6ef3f103d9c">&#9670;&nbsp;</a></span>pin_d1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D1 line - IN </p>

</div>
</div>
<a id="a43d5891aa4f0356a4b311cd5ecb1cfc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43d5891aa4f0356a4b311cd5ecb1cfc6">&#9670;&nbsp;</a></span>pin_d2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D2 line - IN </p>

</div>
</div>
<a id="a4bda847f01d013e1c9d213b967ba506f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bda847f01d013e1c9d213b967ba506f">&#9670;&nbsp;</a></span>pin_d3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D3 line - IN </p>

</div>
</div>
<a id="a540b14d31f869b98b7e01ee8743e2ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a540b14d31f869b98b7e01ee8743e2ffd">&#9670;&nbsp;</a></span>pin_d4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D4 line - IN </p>

</div>
</div>
<a id="a3229380194c2b360713d7240886ae9ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3229380194c2b360713d7240886ae9ed">&#9670;&nbsp;</a></span>pin_d5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D5 line - IN </p>

</div>
</div>
<a id="a5a222371493270fb4b4bcf68bc417100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a222371493270fb4b4bcf68bc417100">&#9670;&nbsp;</a></span>pin_d6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d6</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D6 line - IN </p>

</div>
</div>
<a id="a0b265296822d4612b67b6a1ffad9e756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b265296822d4612b67b6a1ffad9e756">&#9670;&nbsp;</a></span>pin_d7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_d7</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D7 line - IN </p>

</div>
</div>
<a id="ab9dd487279954adb8421992423e46cc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9dd487279954adb8421992423e46cc7">&#9670;&nbsp;</a></span>pin_href</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_href</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera HREF line - IN </p>

</div>
</div>
<a id="a64f2ef831ff4645f82f69ba16542764a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64f2ef831ff4645f82f69ba16542764a">&#9670;&nbsp;</a></span>pin_pclk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_pclk</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera PCLK line - IN </p>

</div>
</div>
<a id="a9935ac510209beb325061fd0ed30823d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9935ac510209beb325061fd0ed30823d">&#9670;&nbsp;</a></span>pin_reset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_reset</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera reset line - OUT </p>

</div>
</div>
<a id="a4c3e62089d1ba10dc5489dbc82f4047a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c3e62089d1ba10dc5489dbc82f4047a">&#9670;&nbsp;</a></span>pin_sscb_scl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_sscb_scl</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera SCL line - OUT </p>

</div>
</div>
<a id="a1d7e6feea488721346d23bf6ebb87449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7e6feea488721346d23bf6ebb87449">&#9670;&nbsp;</a></span>pin_sscb_sda</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_sscb_sda</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera SDA line - OUT </p>

</div>
</div>
<a id="a3c3b0d95798353d4917d93a68e56a2c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c3b0d95798353d4917d93a68e56a2c2">&#9670;&nbsp;</a></span>pin_vsync</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_vsync</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera VSYNC line - IN </p>

</div>
</div>
<a id="adae554b70623090ed02ab03d5385d884"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adae554b70623090ed02ab03d5385d884">&#9670;&nbsp;</a></span>pin_xclk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t camera_config_t::pin_xclk</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera XCLK line - IN </p>

</div>
</div>
<a id="af198ac8cc343a51b0aa24629f71796fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af198ac8cc343a51b0aa24629f71796fc">&#9670;&nbsp;</a></span>xclk_freq_hz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int camera_config_t::xclk_freq_hz</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Frequency of XCLK signal, in Hz </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OV7670_8h_source.html">OV7670.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
